Bug 304730

Summary: Correctly support multiple location breakpoints
Product: kdevelop Reporter: David <daviddoria>
Component: CPP DebuggerAssignee: Niko Sams <niko.sams>
Status: RESOLVED FIXED    
Severity: major CC: david.narvaez, niko.sams, ralf.denzer
Priority: NOR    
Version: git master   
Target Milestone: 4.3.0   
Platform: unspecified   
OS: Linux   
URL: http://sourceware.org/bugzilla/show_bug.cgi?id=9659
Latest Commit: Version Fixed In:

Description David 2012-08-07 14:21:44 UTC
I build my project in Debug mode, add some breakpoints to some files, click "Debug" and everything works correctly (the program starts, and then pauses at the breakpoints). However, if I put a breakpoint in one particular file, when I click "Debug" the program does not seem to start at all.

Reproducible: Always

Steps to Reproduce:
Add a breakpoint to /media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp
Actual Results:  
When a breakpoint is added to /media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp, clicking Debug fails to start the program.

Expected Results:  
No matter where a breakpoint is placed the program should still run.

The CLI output seems to indicate that an MI message is not being parsed correctly:

kdevelop(15829)/kdevplatform (usehighlight) ContextBrowserPlugin::showToolTip: not showing tooltip, no navigation-widget
kdevelop(15829)/kdevplatform (usehighlight) ContextBrowserPlugin::showToolTip: not showing tooltip, no navigation-widget
kdevelop(15829)/kdevplatform (usehighlight) ContextBrowserPlugin::showToolTip: not showing tooltip, no navigation-widget
kdevelop(15829)/kdevplatform (usehighlight) ContextBrowserPlugin::showToolTip: not showing tooltip, no navigation-widget
kdevelop(15829)/kdevplatform (usehighlight) ContextBrowserPlugin::showToolTip: not showing tooltip, no navigation-widget
kdevelop(15829)/kdevplatform (usehighlight) ContextBrowserPlugin::showToolTip: not showing tooltip, no navigation-widget
kdevelop(15829)/kdevplatform (shell) KDevelop::RunController::execute: mode: "debug"
kdevelop(15829)/kdevplatform (shell) KDevelop::RunController::execute: launcher id: "gdb"
kdevelop(15829)/kdevplatform (project) KDevelop::BuilderJobPrivate::addJob: adding build job for item: "BDSInpaintingRings"
kdevelop(15829)/kdevplatform (project) KDevelop::BuilderJobPrivate::addJob: project for item: "BDSInpainting"
kdevelop(15829)/kdevplatform (project) KDevelop::BuilderJobPrivate::addJob: project item for the project: "BDSInpainting"
kdevelop(15829)/kdevplatform (project) KDevelop::BuilderJobPrivate::addJob: got build system manager
kdevelop(15829)/kdevelop (cmake support) CMakeBuilder::build: Building with make
kdevelop(15829)/kdevplatform (shell) KDevelop::DebugController::addSession: GDBDebugger::DebugSession(0xcdd7c80)
kdevelop(15829)/kdevplatform (shell) KDevelop::DebugController::updateDebuggerState: 0
kdevelop(15829)/kdevplatform (shell) KDevelop::DebugController::updateDebuggerState: new state: stopped
kdevelop(15829)/kdevplatform (debugger) KDevelop::VariableCollection::updateAutoUpdate: GDBDebugger::DebugSession(0xcdd7c80)
kdevelop(15829)/kdevplatform (debugger) KDevelop::IVariableController::setAutoUpdate: QFlags(0x2)
kdevelop(15829)/kdevplatform (debugger) KDevelop::FramestackWidget::currentSessionChanged: Adding session: false
kdevelop(15829)/kdevplatform (debugger) KDevelop::FramestackWidget::currentSessionChanged: Adding session: false
execute composite (KDevelop::BuilderJob(0xc9d82b0) ,  GDBDebugger::DebugJob(0xcd4adc8, name = "BDSInpaintingRings") )  
kdevelop(15829)/kdevelop (make builder) MakeJob::start: Building with make 0 ""
kdevelop(15829)/kdevplatform (standardoutputview) StandardOutputView::registerToolView: Registering view "Build" with type: 1
kdevelop(15829)/kdevplatform (shell) KDevelop::UiController::addToolView:
kdevelop(15829)/kdevplatform (standardoutputview) OutputWidget::createListView: creating listview
QIODevice::setTextModeEnabled: The device is not open
kdevelop(15829)/kdevelop (make builder) MakeJob::start: Starting build: "make" ("BDSInpaintingRings") Build directory KUrl("file:///home/doriad/build/debug/Projects/BDSInpainting/Drivers")
kdevelop(15829)/kdevplatform (util) KDevelop::ExecuteCompositeJob::slotResult: finished:  KDevelop::BuilderJob(0xc9d82b0) 0 0
kdevelop(15829)/kdevplatform (util) KDevelop::ExecuteCompositeJob::slotResult: remaining:  1 (GDBDebugger::DebugJob(0xcd4adc8, name = "BDSInpaintingRings") )
kdevelop(15829)/kdevplatform (standardoutputview) StandardOutputView::registerToolView: Registering view "Debug" with type: 2
kdevelop(15829)/kdevplatform (shell) KDevelop::UiController::addToolView:
kdevelop(15829)/kdevplatform (standardoutputview) OutputWidget::createListView: creating listview
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::startDebugger: Starting debugger controller
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::start: STARTING GDB
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDBOutputWidget::slotUserCommandStdout: User command stdout:  " /home/doriad/build/gdb/gdb/gdb --interpreter=mi2 -quiet
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDBOutputWidget::slotUserCommandStdout: User command stdout:  " /home/doriad/build/gdb/gdb/gdb --interpreter=mi2 -quiet
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::debugStateChange: "STATE: -s_dbgNotStarted "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::setSessionState: STATE CHANGED GDBDebugger::DebugSession(0xcdd7c80) 1 StartingState
kdevelop(15829)/kdevplatform (shell) KDevelop::DebugController::clearExecutionPoint:
kdevelop(15829)/kdevplatform (shell) KDevelop::DebugController::debuggerStateChanged: GDBDebugger::DebugSession(0xcdd7c80) 1 current GDBDebugger::DebugSession(0xcdd7c80)
kdevelop(15829)/kdevplatform (shell) KDevelop::DebugController::updateDebuggerState: 1
kdevelop(15829)/kdevplatform (shell) KDevelop::DebugController::updateDebuggerState: new state: paused
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-gdb-show version"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::debugStateChange: "STATE: +s_dbgBusy "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-gdb-show version
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-gdb-set width 0"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-gdb-set height 0"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "handle SIG32 pass nostop noprint"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "handle SIG41 pass nostop noprint"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "handle SIG42 pass nostop noprint"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "handle SIG43 pass nostop noprint"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-enable-pretty-printing"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-gdb-set charset UTF-8"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-gdb-set print sevenbit-strings off"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "source /usr/local/share/apps/kdevgdb/printers/gdbinit"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-inferior-tty-set /dev/pts/5"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-environment-cd /home/doriad/build/Projects/BDSInpainting/output"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-exec-arguments /media/portable/Projects/BDSInpainting/Data/trashcan.png /media/portable/Projects/BDSInpainting/Data/trashcan.mask /media/portable/Projects/BDSInpainting/Data/trashcan.mask 7 output.png"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-gdb-set environment DATA_DIR=/media/portable/Projects/PatchBasedInpaintingDevelop/Data"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-gdb-set print static-members off"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-gdb-set print asm-demangle on"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-file-exec-and-symbols /home/doriad/build/debug/Projects/BDSInpainting/Drivers/BDSInpaintingRings"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::slotEvent: connected to program
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-break-list"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-exec-run"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x2|0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::debugStateChange: "STATE: -s_appNotStarted "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "=thread-group-added,id="i1""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"GNU gdb (GDB) 7.5.50.20120801-cvs\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"Copyright (C) 2012 Free Software Foundation, Inc.\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>\nThis is free software: you are free to change and redistribute it.\nThere is NO WARRANTY, to the extent permitted by law.  Type \"show copying\"\nand \"show warranty\" for details.\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"This GDB was configured as \"i686-pc-linux-gnu\".\nFor bug reporting instructions, please see:\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"<http://www.gnu.org/software/gdb/bugs/>.\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::handleVersion: "GNU gdb (GDB) 7.5.50.20120801-cvs
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-gdb-set width 0
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-gdb-set height 0
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "handle SIG32 pass nostop noprint
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "&"handle SIG32 pass nostop noprint\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"Signal        Stop\tPrint\tPass to program\tDescription\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"SIG32         No\tNo\tYes\t\tReal-time event 32\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "handle SIG41 pass nostop noprint
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "&"handle SIG41 pass nostop noprint\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"Signal        Stop\tPrint\tPass to program\tDescription\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"SIG41         No\tNo\tYes\t\tReal-time event 41\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "handle SIG42 pass nostop noprint
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "&"handle SIG42 pass nostop noprint\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"Signal        Stop\tPrint\tPass to program\tDescription\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"SIG42         No\tNo\tYes\t\tReal-time event 42\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "handle SIG43 pass nostop noprint
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "&"handle SIG43 pass nostop noprint\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"Signal        Stop\tPrint\tPass to program\tDescription\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "~"SIG43         No\tNo\tYes\t\tReal-time event 43\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-enable-pretty-printing
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-gdb-set charset UTF-8
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-gdb-set print sevenbit-strings off
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "source /usr/local/share/apps/kdevgdb/printers/gdbinit
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "&"source /usr/local/share/apps/kdevgdb/printers/gdbinit\n""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-inferior-tty-set /dev/pts/5
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-environment-cd /home/doriad/build/Projects/BDSInpainting/output
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-exec-arguments /media/portable/Projects/BDSInpainting/Data/trashcan.png /media/portable/Projects/BDSInpainting/Data/trashcan.mask /media/portable/Projects/BDSInpainting/Data/trashcan.mask 7 output.png
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-gdb-set environment DATA_DIR=/media/portable/Projects/PatchBasedInpaintingDevelop/Data
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-gdb-set print static-members off
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-gdb-set print asm-demangle on
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-file-exec-and-symbols /home/doriad/build/debug/Projects/BDSInpainting/Drivers/BDSInpaintingRings
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-break-list
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done,BreakpointTable={nr_rows="0",nr_cols="6",hdr=[{width="7",alignment="-1",col_name="number",colhdr="Num"},{width="14",alignment="-1",col_name="type",colhdr="Type"},{width="4",alignment="-1",col_name="disp",colhdr="Disp"},{width="3",alignment="-1",col_name="enabled",colhdr="Enb"},{width="10",alignment="-1",col_name="addr",colhdr="Address"},{width="40",alignment="2",col_name="what",colhdr="What"}],body=[]}"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: 0x9aa04c0 "/media/portable/Projects/PatchMatch/Drivers/PatchMatch.cpp:106"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: location changed
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-break-insert -f "\"/media/portable/Projects/PatchMatch/Drivers/PatchMatch.cpp\":106""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: 0x9a9f3a8 "/media/portable/Projects/PatchMatch/PatchMatch.hpp:294"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: location changed
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-break-insert -f "\"/media/portable/Projects/PatchMatch/PatchMatch.hpp\":294""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: 0x9a9d4c8 "/media/portable/Projects/BDSInpainting/BDSInpaintingDemo.cpp:146"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: location changed
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-break-insert -f "\"/media/portable/Projects/BDSInpainting/BDSInpaintingDemo.cpp\":146""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: 0x9a9c9a0 "/media/portable/Projects/BDSInpainting/BDSInpaintingDemo.cpp:111"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: location changed
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-break-insert -f "\"/media/portable/Projects/BDSInpainting/BDSInpaintingDemo.cpp\":111""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: 0x9a9dca8 "/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatchRings.hpp:113"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: location changed
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-break-insert -f "\"/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatchRings.hpp\":113""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: 0x9a9c9d0 "/media/portable/Examples/c++/Array/Array.cpp:7"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: location changed
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-break-insert -f "\"/media/portable/Examples/c++/Array/Array.cpp\":7""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: 0x9a9cb40 "/home/doriad/Test/Test.cpp:20"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: location changed
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-break-insert -f "\"/home/doriad/Test/Test.cpp\":20""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: 0x9a9e378 "/home/doriad/Test/Test.cpp:10"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: location changed
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-break-insert -f "\"/home/doriad/Test/Test.cpp\":10""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: 0x9a9d7d8 "/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp:231"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::BreakpointController::sendMaybe: location changed
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-break-insert -f "\"/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp\":231""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::execute: SEND: "-break-insert -f "\"/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp\":231"
"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "^done,bkpt={number="1",type="breakpoint",disp="keep",enabled="y",addr="<MULTIPLE>",times="0",original-location="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp:231"},{number="1.1",enabled="y",addr="0x081d84aa",func="PatchMatch<itk::Image<itk::CovariantVector<unsigned char, 3u>, 2u> >::Propagation<ForwardPropagationNeighbors>(ForwardPropagationNeighbors)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="231"},{number="1.2",enabled="y",addr="0x081d8ae2",func="PatchMatch<itk::Image<itk::CovariantVector<unsigned char, 3u>, 2u> >::Propagation<BackwardPropagationNeighbors>(BackwardPropagationNeighbors)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="231"},{number="1.3",enabled="y",addr="0x081d911a",func="PatchMatch<itk::Image<itk::CovariantVector<unsigned char, 3u>, 2u> >::Propagation<AllowedPropagationNeighbors>(AllowedPropagationNeighbors)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="231"}"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: Invalid MI message: "^done,bkpt={number="1",type="breakpoint",disp="keep",enabled="y",addr="<MULTIPLE>",times="0",original-location="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp:231"},{number="1.1",enabled="y",addr="0x081d84aa",func="PatchMatch<itk::Image<itk::CovariantVector<unsigned char, 3u>, 2u> >::Propagation<ForwardPropagationNeighbors>(ForwardPropagationNeighbors)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="231"},{number="1.2",enabled="y",addr="0x081d8ae2",func="PatchMatch<itk::Image<itk::CovariantVector<unsigned char, 3u>, 2u> >::Propagation<BackwardPropagationNeighbors>(BackwardPropagationNeighbors)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="231"},{number="1.3",enabled="y",addr="0x081d911a",func="PatchMatch<itk::Image<itk::CovariantVector<unsigned char, 3u>, 2u> >::Propagation<AllowedPropagationNeighbors>(AllowedPropagationNeighbors)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="231"}"
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::GDB::processLine: GDB output:  "(gdb) "
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::queueCmd: QUEUE:  "-var-create var0 @ "std::endl""
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged: Debugger state:  QFlags(0x4000) :
kdevelop(15829)/kdevelop (gdb debugger) GDBDebugger::DebugSession::_gdbStateChanged:     ""
kdevelop(15829)/kdevplatform (documentation) KDevelop::DocumentationController::documentationForDeclaration: Documentation provider found: 0xb216778
kdevelop(15829)/kdevelop (qthelp support) QtHelpProviderAbstract::documentationForDeclaration: doc_found "std::endl" QMap()
kdevelop(15829)/kdevplatform (documentation) KDevelop::DocumentationController::documentationForDeclaration: Documentation proposed:  false
kdevelop(15829)/kdevplatform (documentation) KDevelop::DocumentationController::documentationForDeclaration: Documentation provider found: 0x9bed564
kdevelop(15829)/kdevplatform (documentation) KDevelop::DocumentationController::documentationForDeclaration: Documentation proposed:  false
kdevelop(15829)/kdevplatform (documentation) KDevelop::DocumentationController::documentationForDeclaration: Documentation provider found: 0x9c1294c
kdevelop(15829)/kdevplatform (documentation) KDevelop::DocumentationController::documentationForDeclaration: Documentation proposed:  false
kdevelop(15829)/kdevplatform (language) KDevelop::AbstractDeclarationNavigationContext::eventuallyMakeTypeLinks: making type-links for "std::ostream&" N8KDevelop13ReferenceTypeE
kdevelop(15829)/kdevplatform (language) KDevelop::AbstractDeclarationNavigationContext::eventuallyMakeTypeLinks: making type-links for "std::ostream&" N8KDevelop13ReferenceTypeE
kdevelop(15829)/kdevplatform (usehighlight) ContextBrowserPlugin::showToolTip: tooltip size QSize(473, 84)
kdevelop(15829)/kdevplatform (language) KDevelop::DUChainPrivate::loadChain: loading top-context 3901
kdevelop(15829)/kdevplatform (util) KDevelop::ActiveToolTip::eventFilter: closing because of mouse move
kdevelop(15829)/kdevplatform (util) KDevelop::ActiveToolTip::eventFilter: closing because of mouse move
Comment 1 Milian Wolff 2012-08-07 15:30:43 UTC
upstream bug: http://sourceware.org/bugzilla/show_bug.cgi?id=9659

I'll make our parser less strict as was suggested to me by ap| in #gdb on freenode irc.
Comment 2 Milian Wolff 2012-08-07 15:43:50 UTC
Git commit c09d99cf0932e98008e2375a74df5da6d4df2a97 by Milian Wolff.
Committed on 07/08/2012 at 17:40.
Pushed by mwolff into branch '4.4'.

Be less strict about named and unnamed arguments.

Recent GDB versions can report multiple breakpoints
but do so using an invalid MI format, see e.g. the
upstream bug report:
http://sourceware.org/bugzilla/show_bug.cgi?id=9659

Since we cannot expect GDB to be fixed anytime soon,
just make our parser less strict. This was actually
the recommendation in #gdb on freenode IRC as well...

M  +13   -7    debuggers/gdb/mi/miparser.cpp
M  +30   -0    debuggers/gdb/unittests/gdbtest.cpp
M  +1    -0    debuggers/gdb/unittests/gdbtest.h

http://commits.kde.org/kdevelop/c09d99cf0932e98008e2375a74df5da6d4df2a97
Comment 3 David 2012-08-07 17:14:44 UTC
The debugger does run now, but I got a popup window "Internal debugger error" - and it says "The debugger component encountered internal error while processing reply from gdb. Please submit a bug report."

an excerpt from the output looks interesting:

func="PatchMatch, 2u> >::Propagation(AllowedPropagationNeighbors)" looks interesting

it seems as though something is cut off at the beginning?
Comment 4 David 2012-08-07 18:48:42 UTC
A full output is:

The exception is: MI type error The MI response is: ^done,BreakpointTable={nr_rows="12",nr_cols="6",hdr=[{width="7",alignment="-1",col_name="number",colhdr="Num"},{width="14",alignment="-1",col_name="type",colhdr="Type"},{width="4",alignment="-1",col_name="disp",colhdr="Disp"},{width="3",alignment="-1",col_name="enabled",colhdr="Enb"},{width="10",alignment="-1",col_name="addr",colhdr="Address"},{width="40",alignment="2",col_name="what",colhdr="What"}],body=[bkpt={number="1",type="breakpoint",disp="keep",enabled="y",addr="",times="1",original-location="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp:273"},{number="1.1",enabled="y",addr="0x081da4d5",func="PatchMatch, 2u> >::Propagation, 2u> >::ForwardPropagation()::{lambda(itk::Index const&)#1}>(ForwardPropagationNeighbors, PatchMatch, 2u> >::ForwardPropagation()::{lambda(itk::Index const&)#1}, AcceptanceTest*)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="273"},{number="1.2",enabled="y",addr="0x081daca5",func="PatchMatch, 2u> >::Propagation, 2u> >::BackwardPropagation()::{lambda(itk::Index const&)#1}>(BackwardPropagationNeighbors, PatchMatch, 2u> >::BackwardPropagation()::{lambda(itk::Index const&)#1}, AcceptanceTest*)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="273"},{number="1.3",enabled="y",addr="0x081db475",func="PatchMatch, 2u> >::Propagation, 2u> >::InwardPropagation()::{lambda(itk::Index const&)#1}>(AllowedPropagationNeighbors, PatchMatch, 2u> >::InwardPropagation()::{lambda(itk::Index const&)#1}, AcceptanceTest*)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="273"},{number="1.4",enabled="y",addr="0x081dbf2d",func="PatchMatch, 2u> >::Propagation, 2u> >::ForcePropagation()::{lambda(itk::Index const&)#1}>(AllNeighbors, PatchMatch, 2u> >::ForcePropagation()::{lambda(itk::Index const&)#1}, AcceptanceTest*)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="273"},bkpt={number="2",type="breakpoint",disp="keep",enabled="y",addr="",times="0",original-location="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp:355"},{number="2.1",enabled="y",addr="0x081da853",func="PatchMatch, 2u> >::Propagation, 2u> >::ForwardPropagation()::{lambda(itk::Index const&)#1}>(ForwardPropagationNeighbors, PatchMatch, 2u> >::ForwardPropagation()::{lambda(itk::Index const&)#1}, AcceptanceTest*)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="355"},{number="2.2",enabled="y",addr="0x081db023",func="PatchMatch, 2u> >::Propagation, 2u> >::BackwardPropagation()::{lambda(itk::Index const&)#1}>(BackwardPropagationNeighbors, PatchMatch, 2u> >::BackwardPropagation()::{lambda(itk::Index const&)#1}, AcceptanceTest*)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="355"},{number="2.3",enabled="y",addr="0x081db7f3",func="PatchMatch, 2u> >::Propagation, 2u> >::InwardPropagation()::{lambda(itk::Index const&)#1}>(AllowedPropagationNeighbors, PatchMatch, 2u> >::InwardPropagation()::{lambda(itk::Index const&)#1}, AcceptanceTest*)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="355"},{number="2.4",enabled="y",addr="0x081dc2ab",func="PatchMatch, 2u> >::Propagation, 2u> >::ForcePropagation()::{lambda(itk::Index const&)#1}>(AllNeighbors, PatchMatch, 2u> >::ForcePropagation()::{lambda(itk::Index const&)#1}, AcceptanceTest*)",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="355"},bkpt={number="3",type="breakpoint",disp="keep",enabled="y",addr="0x081d267a",func="PatchMatch, 2u> >::ForcePropagation()",file="/media/portable/Projects/BDSInpainting/Drivers/../PatchMatch/PatchMatch.hpp",fullname="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp",line="241",times="0",original-location="/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatch.hpp:241"},bkpt={number="4",type="breakpoint",disp="keep",enabled="y",addr="0x081c71a8",func="BDSInpaintingRings, 2u> >::Inpaint()",file="/media/portable/Projects/BDSInpainting/Drivers/../BDSInpaintingRings.hpp",fullname="/media/portable/Projects/BDSInpainting/BDSInpaintingRings.hpp",line="125",times="0",original-location="/media/portable/Projects/BDSInpainting/BDSInpaintingRings.hpp:125"},bkpt={number="5",type="breakpoint",disp="keep",enabled="y",addr="",pending="\"/home/doriad/Test/Test.cpp\":10",times="0",original-location="\"/home/doriad/Test/Test.cpp\":10"},bkpt={number="6",type="breakpoint",disp="keep",enabled="y",addr="",pending="\"/home/doriad/Test/Test.cpp\":20",times="0",original-location="\"/home/doriad/Test/Test.cpp\":20"},bkpt={number="7",type="breakpoint",disp="keep",enabled="y",addr="",pending="\"/media/portable/Examples/c++/Array/Array.cpp\":7",times="0",original-location="\"/media/portable/Examples/c++/Array/Array.cpp\":7"},bkpt={number="8",type="breakpoint",disp="keep",enabled="y",addr="",pending="\"/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatchRings.hpp\":113",times="0",original-location="\"/media/portable/Projects/BDSInpainting/PatchMatch/PatchMatchRings.hpp\":113"},bkpt={number="9",type="breakpoint",disp="keep",enabled="y",addr="",pending="\"/media/portable/Projects/BDSInpainting/BDSInpaintingDemo.cpp\":111",times="0",original-location="\"/media/portable/Projects/BDSInpainting/BDSInpaintingDemo.cpp\":111"},bkpt={number="10",type="breakpoint",disp="keep",enabled="y",addr="",pending="\"/media/portable/Projects/BDSInpainting/BDSInpaintingDemo.cpp\":146",times="0",original-location="\"/media/portable/Projects/BDSInpainting/BDSInpaintingDemo.cpp\":146"},bkpt={number="11",type="breakpoint",disp="keep",enabled="y",addr="",pending="\"/media/portable/Projects/PatchMatch/PatchMatch.hpp\":294",times="0",original-location="\"/media/portable/Projects/PatchMatch/PatchMatch.hpp\":294"},bkpt={number="12",type="breakpoint",disp="keep",enabled="y",addr="",pending="\"/media/portable/Projects/PatchMatch/Drivers/PatchMatch.cpp\":106",times="0",original-location="\"/media/portable/Projects/PatchMatch/Drivers/PatchMatch.cpp\":106"}]}
Comment 5 Niko Sams 2012-08-25 09:20:35 UTC
Could you provide and reduced example that shows your issue?
Best would be a single file that we can simply compile and debug.
Comment 6 Niko Sams 2012-08-25 09:47:37 UTC
*** Bug 303675 has been marked as a duplicate of this bug. ***
Comment 7 Niko Sams 2012-08-25 16:52:32 UTC
Ok, I found a way to reproduce your issue. It is caused by breakpoints that have multiple locations. That happens for example when setting a breakpoint on a function that has multiple overloads; or for inlined functions (that exist on multiple addresses)
Comment 8 Niko Sams 2012-08-26 17:33:18 UTC
Git commit b1ac35e3a0db0f06db9aac6061cbbecbfbcfe93a by Niko Sams.
Committed on 26/08/2012 at 19:28.
Pushed by nsams into branch '4.4'.

support multiple location breakpoints

- turn breakpoint numbers/ids into QString (as they can be "1.1")

M  +37   -26   debuggers/gdb/breakpointcontroller.cpp
M  +1    -1    debuggers/gdb/breakpointcontroller.h
M  +2    -0    debuggers/gdb/unittests/CMakeLists.txt
M  +22   -0    debuggers/gdb/unittests/gdbtest.cpp
M  +1    -0    debuggers/gdb/unittests/gdbtest.h

http://commits.kde.org/kdevelop/b1ac35e3a0db0f06db9aac6061cbbecbfbcfe93a
Comment 9 Niko Sams 2012-08-26 17:35:08 UTC
Additional Info: apparently this multiple locations feature already exists for some time: http://vladimir_prus.blogspot.co.at/2007/11/breakpoints-in-constructors.html
Comment 10 David E. Narvaez 2012-08-26 17:38:01 UTC
Yes, see the URL of this bug to see additional places where this happens.